Search documentation of snmp

# snmpa_notification_filter behaviour (snmp v5.20.2)

Copy Markdown View Source

Behaviour module for the SNMP agent notification filters.

This module defines the behaviour of the agent notification filters. A `snmpa_notification_filter` compliant module must export the following functions:

- handle_notification/2

The semantics of them and their exact signatures are explained below.

The purpose of notification filters is to allow for modification and/or suppression of a notification.

A misbehaving filter will be removed.

## Summary

### Types

notification()
trap()

### Callbacks

handle_notification(Notif, Data)

Handle a notification to be sent. The filter can either accept the notification as is, return `send`, modify the notification, return `{send, NewNotif}` or suppress the notification, return `dont_send`.

## Types

# notification()

(not exported)

    -type notification() :: term().

# trap()

(not exported)

    -type trap() :: term().

## Callbacks

# handle_notification(Notif, Data)

    -callback handle_notification(Notif, Data) -> Reply
                                     when
                                         Notif :: notification() | trap(),
                                         Data :: term(),
                                         Reply :: send | {send, NewNotif} | dont_send,
                                         NewNotif :: notification() | trap().

Handle a notification to be sent. The filter can either accept the notification as is, return `send`, modify the notification, return `{send, NewNotif}` or suppress the notification, return `dont_send`.

`Data` is supplied at filter registration time, see `snmpa:register_notification_filter/5`.